# Uses of Class
org.jfree.chart3d.graphics3d.Face

Packages that use Face
Package
Description
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.

## Uses of Face in org.jfree.chart3d.graphics3d

Subclasses of Face in org.jfree.chart3d.graphics3d
Modifier and Type
Class
Description
`class`
`DoubleSidedFace`
A double-sided face.
`class`
`LabelFace`
A face that carries a label (and is itself invisible).
Methods in org.jfree.chart3d.graphics3d that return types with arguments of type Face
Modifier and Type
Method
Description
`List<Face>`
Object3D.`getFaces()`
Returns the faces for this object.
`List<Face>`
RenderingInfo.`getFaces()`
Returns the list of faces rendered.
`List<Face>`
World.`getFaces()`
Fetches the faces for all the objects in this world, updating the offset to match the current position.
Methods in org.jfree.chart3d.graphics3d with parameters of type Face
Modifier and Type
Method
Description
`void`
Object3D.`addFace(Face face)`
Adds a face for this object.
`Color`
Object3D.`getColor(Face face)`
Returns the color for a specific face.
`boolean`
Object3D.`getOutline(Face face)`
Returns `true` if an outline should be drawn for the specified face, and `false` otherwise.
Constructor parameters in org.jfree.chart3d.graphics3d with type arguments of type Face
Modifier
Constructor
Description
``
`RenderingInfo(List<Face> faces, Point2D[] projPts, double dx, double dy)`
Creates a new instance.